#!/bin/bash -e

# See https://mullvad.net/en/help/socks5-proxy
SOCKS_IP='10.8.0.1'

for file in /etc/openvpn/*.conf; do
    cat <<EOF >> "$file"

route-nopull
route 10.0.0.0 255.0.0.0
EOF
done

chmod +x /etc/openvpn/update-resolv-conf
exec openvpn --config "$(printf '%q\n' /etc/openvpn/*.conf  | shuf -n1)"
